curl --request POST \
--url 'https://analytics.us.algolia.com/3/patterns/table?index=lorem' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"domain": "core",
"metrics": [
{
"domain": "core",
"kind": "searchesCount"
}
],
"groupBy": [
{
"domain": "core",
"kind": "searchesCount"
}
],
"filters": [
{
"domain": "lorem",
"kind": "country",
"operator": "=",
"parameter": {
"domain": "core",
"kind": "country"
}
}
],
"parameters": [
{
"domain": "lorem",
"kind": "indices",
"value": "lorem"
}
],
"orderBy": [
{
"domain": "lorem",
"kind": "searchesCount",
"direction": "asc"
}
],
"limit": 1000,
"offset": 0
}
'// Initialize the client
var client = new AnalyticsClient(
new AnalyticsConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.QueryPatternsTableAsync(
new TablePayload
{
Metrics = new List<FieldReference> { new FieldReference { Kind = "searchesCount" } },
Parameters = new List<ParameterDefinition>
{
new ParameterDefinition
{
Kind = "indices",
Value = new ParameterValue(new List<string> { "index" }),
},
},
},
"index"
);
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. analytics.ALGOLIA_APPLICATION_REGION
client, err := analytics.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", analytics.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.QueryPatternsTable(client.NewApiQueryPatternsTableRequest(
analytics.NewEmptyTablePayload().SetMetrics(
[]analytics.FieldReference{*analytics.NewEmptyFieldReference().SetKind("searchesCount")}).SetParameters(
[]analytics.ParameterDefinition{
*analytics.NewEmptyParameterDefinition().SetKind("indices").SetValue(analytics.ArrayOfStringAsParameterValue(
[]string{"index"})),
}),
).WithIndex("index"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AnalyticsClient client = new AnalyticsClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TableResponse response = client.queryPatternsTable(
new TablePayload()
.setMetrics(Arrays.asList(new FieldReference().setKind("searchesCount")))
.setParameters(Arrays.asList(new ParameterDefinition().setKind("indices").setValue(ParameterValue.of(Arrays.asList("index"))))),
"index"
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAnalytics({ region: 'us' });
// Call the API
const response = await client.queryPatternsTable({
tablePayload: { metrics: [{ kind: 'searchesCount' }], parameters: [{ kind: 'indices', value: ['index'] }] },
index: 'index',
});
// print the response
console.log(response);// Initialize the client
val client =
AnalyticsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.queryPatternsTable(
tablePayload =
TablePayload(
metrics = listOf(FieldReference(kind = "searchesCount")),
parameters =
listOf(
ParameterDefinition(kind = "indices", value = ParameterValue.of(listOf("index")))
),
),
index = "index",
)
// print the response
println(response)// Initialize the client
$client = AnalyticsClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->queryPatternsTable(
['metrics' => [
['kind' => 'searchesCount',
],
],
'parameters' => [
['kind' => 'indices',
'value' => [
'index',
],
],
],
],
'index',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AnalyticsClient instead, which exposes the exact same methods.
client = AnalyticsClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.query_patterns_table(
table_payload={
"metrics": [
{
"kind": "searchesCount",
},
],
"parameters": [
{
"kind": "indices",
"value": [
"index",
],
},
],
},
index="index",
)
# print the response
print(response)# Initialize the client
client = Algolia::AnalyticsClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.query_patterns_table(
Algolia::Analytics::TablePayload.new(
metrics: [Algolia::Analytics::FieldReference.new(kind: "searchesCount")],
parameters: [Algolia::Analytics::ParameterDefinition.new(kind: "indices", value: ["index"])]
),
"index"
)
# print the response
puts(response)// Initialize the client
val client = AnalyticsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)
// Call the API
val response = Await.result(
client.queryPatternsTable(
tablePayload = TablePayload(
metrics = Seq(
FieldReference(
kind = "searchesCount"
)
),
parameters = Seq(
ParameterDefinition(
kind = "indices",
value = ParameterValue(Seq("index"))
)
)
),
index = Some("index")
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AnalyticsClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.queryPatternsTable(
tablePayload: TablePayload(
metrics: [FieldReference(kind: "searchesCount")],
parameters: [ParameterDefinition(
kind: "indices",
value: ParameterValue.arrayOfString(["index"])
)]
),
index: "index"
)
// print the response
print(response){
"rows": [
{}
]
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}(Beta) Query a grouped table
Beta: this endpoint is under active development and may change without notice.
curl --request POST \
--url 'https://analytics.us.algolia.com/3/patterns/table?index=lorem' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-algolia-api-key: ALGOLIA_API_KEY' \
--header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
--data '
{
"domain": "core",
"metrics": [
{
"domain": "core",
"kind": "searchesCount"
}
],
"groupBy": [
{
"domain": "core",
"kind": "searchesCount"
}
],
"filters": [
{
"domain": "lorem",
"kind": "country",
"operator": "=",
"parameter": {
"domain": "core",
"kind": "country"
}
}
],
"parameters": [
{
"domain": "lorem",
"kind": "indices",
"value": "lorem"
}
],
"orderBy": [
{
"domain": "lorem",
"kind": "searchesCount",
"direction": "asc"
}
],
"limit": 1000,
"offset": 0
}
'// Initialize the client
var client = new AnalyticsClient(
new AnalyticsConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
);
// Call the API
var response = await client.QueryPatternsTableAsync(
new TablePayload
{
Metrics = new List<FieldReference> { new FieldReference { Kind = "searchesCount" } },
Parameters = new List<ParameterDefinition>
{
new ParameterDefinition
{
Kind = "indices",
Value = new ParameterValue(new List<string> { "index" }),
},
},
},
"index"
);
// print the response
Console.WriteLine(response);// Initialize the client with your application region, eg. analytics.ALGOLIA_APPLICATION_REGION
client, err := analytics.NewClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", analytics.US)
if err != nil {
// The client can fail to initialize if you pass an invalid parameter.
panic(err)
}
// Call the API
response, err := client.QueryPatternsTable(client.NewApiQueryPatternsTableRequest(
analytics.NewEmptyTablePayload().SetMetrics(
[]analytics.FieldReference{*analytics.NewEmptyFieldReference().SetKind("searchesCount")}).SetParameters(
[]analytics.ParameterDefinition{
*analytics.NewEmptyParameterDefinition().SetKind("indices").SetValue(analytics.ArrayOfStringAsParameterValue(
[]string{"index"})),
}),
).WithIndex("index"))
if err != nil {
// handle the eventual error
panic(err)
}
// print the response
print(response)// Initialize the client
AnalyticsClient client = new AnalyticsClient("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION");
// Call the API
TableResponse response = client.queryPatternsTable(
new TablePayload()
.setMetrics(Arrays.asList(new FieldReference().setKind("searchesCount")))
.setParameters(Arrays.asList(new ParameterDefinition().setKind("indices").setValue(ParameterValue.of(Arrays.asList("index"))))),
"index"
);
// print the response
System.out.println(response);// Initialize the client
// Replace 'us' with your Algolia Application Region
const client = algoliasearch('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY').initAnalytics({ region: 'us' });
// Call the API
const response = await client.queryPatternsTable({
tablePayload: { metrics: [{ kind: 'searchesCount' }], parameters: [{ kind: 'indices', value: ['index'] }] },
index: 'index',
});
// print the response
console.log(response);// Initialize the client
val client =
AnalyticsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = "ALGOLIA_APPLICATION_REGION",
)
// Call the API
var response =
client.queryPatternsTable(
tablePayload =
TablePayload(
metrics = listOf(FieldReference(kind = "searchesCount")),
parameters =
listOf(
ParameterDefinition(kind = "indices", value = ParameterValue.of(listOf("index")))
),
),
index = "index",
)
// print the response
println(response)// Initialize the client
$client = AnalyticsClient::create('ALGOLIA_APPLICATION_ID', 'ALGOLIA_API_KEY', 'ALGOLIA_APPLICATION_REGION');
// Call the API
$response = $client->queryPatternsTable(
['metrics' => [
['kind' => 'searchesCount',
],
],
'parameters' => [
['kind' => 'indices',
'value' => [
'index',
],
],
],
],
'index',
);
// print the response
var_dump($response);# Initialize the client
# In an asynchronous context, you can use AnalyticsClient instead, which exposes the exact same methods.
client = AnalyticsClientSync(
"ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION"
)
# Call the API
response = client.query_patterns_table(
table_payload={
"metrics": [
{
"kind": "searchesCount",
},
],
"parameters": [
{
"kind": "indices",
"value": [
"index",
],
},
],
},
index="index",
)
# print the response
print(response)# Initialize the client
client = Algolia::AnalyticsClient.create("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY", "ALGOLIA_APPLICATION_REGION")
# Call the API
response = client.query_patterns_table(
Algolia::Analytics::TablePayload.new(
metrics: [Algolia::Analytics::FieldReference.new(kind: "searchesCount")],
parameters: [Algolia::Analytics::ParameterDefinition.new(kind: "indices", value: ["index"])]
),
"index"
)
# print the response
puts(response)// Initialize the client
val client = AnalyticsClient(
appId = "ALGOLIA_APPLICATION_ID",
apiKey = "ALGOLIA_API_KEY",
region = Option("ALGOLIA_APPLICATION_REGION")
)
// Call the API
val response = Await.result(
client.queryPatternsTable(
tablePayload = TablePayload(
metrics = Seq(
FieldReference(
kind = "searchesCount"
)
),
parameters = Seq(
ParameterDefinition(
kind = "indices",
value = ParameterValue(Seq("index"))
)
)
),
index = Some("index")
),
Duration(100, "sec")
)
// print the response
println(response)// Initialize the client
let client = try AnalyticsClient(appID: "ALGOLIA_APPLICATION_ID", apiKey: "ALGOLIA_API_KEY", region: .us)
// Call the API
let response = try await client.queryPatternsTable(
tablePayload: TablePayload(
metrics: [FieldReference(kind: "searchesCount")],
parameters: [ParameterDefinition(
kind: "indices",
value: ParameterValue.arrayOfString(["index"])
)]
),
index: "index"
)
// print the response
print(response){
"rows": [
{}
]
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}{
"message": "Invalid Application-Id or API-Key"
}rows, each a flat object of the requested fields. metrics and parameters are required;
groupBy, filters, and orderBy are optional, though orderBy is required when groupBy is set.
Discover valid field kinds per domain with /3/patterns/fields.
Required ACL: analyticsAuthorizations
Your Algolia application ID.
Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.
Query Parameters
Comma-separated list of indices the request runs on, used for authorization. Required for index-restricted API keys and must match the indices supplied in the request body's indices parameter; optional for unrestricted keys.
Body
When groupBy is set, orderBy is required.
Fields to aggregate.
Show child attributes
Show child attributes
Literal values referenced by the query.
Show child attributes
Show child attributes
Default domain propagated to entries that omit their own.
"core"
Filter conditions.
Show child attributes
Show child attributes
Fields to split rows by.
Show child attributes
Show child attributes
Maximum number of rows to return.
1 <= x <= 1000Number of rows to skip.
x >= 0Sort specification. Required when groupBy is set.
Show child attributes
Show child attributes
Response
OK
Result rows. Each row is a flat object of the requested fields.
Was this page helpful?